begin

 -- SEAde68058: Part maint updates
 run_sql( ' ALTER TABLE part_tables DROP CONSTRAINT unq_part_table ' );

 run_sql( ' ALTER TABLE part_tables ADD (stat_mask INTEGER DEFAULT 127 NOT NULL, '
         || ' CONSTRAINT part_tables_mask_ck CHECK (stat_mask >= 1 AND stat_mask <= 127)) ' );

 run_sql( ' ALTER TABLE part_tables ADD (creation_date DATE) ' );
 run_sql( ' CREATE UNIQUE INDEX unq_part_tables_idx ON part_tables(UPPER(table_name)) ' );

END;
/
commit;
